/* Feedback.cc - source file for the mailfilter program
 * Copyright (c) 2000  Andreas Bauer <baueran@in.tum.de>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
 * USA.
 */


#include <string>
#include <fstream>
#include "mailfilter.hh"
#include "Feedback.hh"

using namespace std;

namespace fb {

  Feedback::Feedback(string newLogfile, int newMode = VERBOSE) {
    logfile = newLogfile;
    mode = newMode;
  }


  Feedback::~Feedback() {
  }


  void Feedback::message(string newMessage) {
    ofstream logFile(logfile.c_str(), ios::app);

    if (mode == VERBOSE)
      cout << newMessage;
    
    if (!logFile)
      throw LogfileAccess();
    else {
      logFile << newMessage;
      logFile.close();
    }
  }

}
